package com.ims.eval.service;

import com.ims.eval.entity.EvaluationWarningRule;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author wang
 * @since 2023-05-19
 */
public interface IEvaluationWarningRuleService extends IService<EvaluationWarningRule> {

	/**
	 * 查询考评预警规则
	 * @param binSection
	 * @param ruleName
	 * @return
	 */
    List<EvaluationWarningRule> warningRuleList(String binSection, String ruleName, String type, Boolean enable);

	boolean saveOrUpdate(String code, EvaluationWarningRule warningRule);
}
